Index: /palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 2311)
+++ /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 2312)
@@ -20,25 +20,28 @@
 ! Current revisions:
 ! ------------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Aerosol initialization improved.
+!
+! 2305 2017-07-06 11:18:47Z hoffmann
 ! Improved calculation of particle IDs.
-! 
+!
 ! 2278 2017-06-12 13:08:18Z schwenkel
 ! Added comments
-! 
+!
 ! 2265 2017-06-08 16:58:28Z schwenkel
 ! Unused variables removed.
-! 
+!
 ! 2263 2017-06-08 14:59:01Z schwenkel
 ! Implemented splitting and merging algorithm
-! 
+!
 ! 2183 2017-03-17 14:29:15Z schwenkel
 !
 ! 2182 2017-03-17 14:27:40Z schwenkel
 ! Added parameters for simplified particle initialization.
-! 
+!
 ! 2122 2017-01-18 12:22:54Z hoffmann
 ! Calculation of particle ID
@@ -48,5 +51,5 @@
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
-! 
+!
 ! 1936 2016-06-13 13:37:44Z suehring
 ! +deallocate_memory, step_dealloc
@@ -71,8 +74,8 @@
 !
 ! 1727 2015-11-20 07:22:02Z knoop
-! Bugfix: Cause of syntax warning gfortran preprocessor removed 
-! 
+! Bugfix: Cause of syntax warning gfortran preprocessor removed
+!
 ! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
+! Code annotations made doxygen readable
 !
 ! 1575 2015-03-27 09:56:27Z raasch
@@ -88,19 +91,18 @@
 !------------------------------------------------------------------------------!
 MODULE particle_attributes
- 
+
 
     USE kinds
 
-    CHARACTER(LEN=15) ::  bc_par_lr = 'cyclic'                    !< left/right boundary condition
-    CHARACTER(LEN=15) ::  bc_par_ns = 'cyclic'                    !< north/south boundary condition
-    CHARACTER(LEN=15) ::  bc_par_b  = 'reflect'                   !< bottom boundary condition
-    CHARACTER(LEN=15) ::  bc_par_t  = 'absorb'                    !< top boundary condition
-    CHARACTER(LEN=15) ::  collision_algorithm = 'all_or_nothing'  !< collision algorithm
-    CHARACTER(LEN=15) ::  collision_kernel = 'none'               !< collision kernel
-    CHARACTER(LEN=5) ::  splitting_function = 'gamma'             !< function for calculation critical weighting factor
-    CHARACTER(LEN=5) ::  splitting_mode = 'const'                 !< splitting mode
-
-
-    INTEGER(iwp) ::  deleted_particles = 0                        !< number of deleted particles per time step 
+    CHARACTER(LEN=15) ::  aero_type = 'maritime'                   !< aerosol type
+    CHARACTER(LEN=15) ::  bc_par_lr = 'cyclic'                     !< left/right boundary condition
+    CHARACTER(LEN=15) ::  bc_par_ns = 'cyclic'                     !< north/south boundary condition
+    CHARACTER(LEN=15) ::  bc_par_b  = 'reflect'                    !< bottom boundary condition
+    CHARACTER(LEN=15) ::  bc_par_t  = 'absorb'                     !< top boundary condition
+    CHARACTER(LEN=15) ::  collision_kernel = 'none'                !< collision kernel
+    CHARACTER(LEN=5)  ::  splitting_function = 'gamma'             !< function for calculation critical weighting factor
+    CHARACTER(LEN=5)  ::  splitting_mode = 'const'                 !< splitting mode
+
+    INTEGER(iwp) ::  deleted_particles = 0                        !< number of deleted particles per time step
     INTEGER(iwp) ::  dissipation_classes = 10                     !< namelist parameter (see documentation)
     INTEGER(iwp) ::  ibc_par_b                                    !< particle bottom boundary condition dummy
@@ -113,12 +115,12 @@
     INTEGER(iwp) ::  max_number_particles_per_gridbox = 100       !< namelist parameter (see documentation)
     INTEGER(iwp) ::  merge_drp = 0                                !< number of merged droplets
-    INTEGER(iwp) ::  min_nr_particle = 50                         !< namelist parameter (see documentation)         
+    INTEGER(iwp) ::  min_nr_particle = 50                         !< namelist parameter (see documentation)
     INTEGER(iwp) ::  new_particles = 0                            !< number of new particles
-    INTEGER(iwp) ::  n_max = 100                                  !< number of radii bin for splitting functions     
-    INTEGER(iwp) ::  number_of_particles = 0                      !< number of particles for each grid box (3d array is saved on prt_count)           
-    INTEGER(iwp) ::  number_of_particle_groups = 1                !< namelist parameter (see documentation)            
-    INTEGER(iwp) ::  number_of_sublayers = 20                     !< number of sublayers for particle velocities betwenn surface and first grid level         
-    INTEGER(iwp) ::  number_particles_per_gridbox = -1            !< namelist parameter (see documentation)          
-    INTEGER(iwp) ::  offset_ocean_nzt = 0                         !< in case of oceans runs, the vertical index calculations need an offset         
+    INTEGER(iwp) ::  n_max = 100                                  !< number of radii bin for splitting functions
+    INTEGER(iwp) ::  number_of_particles = 0                      !< number of particles for each grid box (3d array is saved on prt_count)
+    INTEGER(iwp) ::  number_of_particle_groups = 1                !< namelist parameter (see documentation)
+    INTEGER(iwp) ::  number_of_sublayers = 20                     !< number of sublayers for particle velocities betwenn surface and first grid level
+    INTEGER(iwp) ::  number_particles_per_gridbox = -1            !< namelist parameter (see documentation)
+    INTEGER(iwp) ::  offset_ocean_nzt = 0                         !< in case of oceans runs, the vertical index calculations need an offset
     INTEGER(iwp) ::  offset_ocean_nzt_m1 = 0                      !< in case of oceans runs, the vertical index calculations need an offset
     INTEGER(iwp) ::  particles_per_point = 1                      !< namelist parameter (see documentation)
@@ -130,5 +132,5 @@
     INTEGER(iwp) ::  sum_merge_drp = 0                            !< sum of merged super droplets
     INTEGER(iwp) ::  sum_new_particles = 0                        !< sum of created particles (in splitting algorithm)
-    INTEGER(iwp) ::  total_number_of_particles                    !< total number of particles in the whole model domain           
+    INTEGER(iwp) ::  total_number_of_particles                    !< total number of particles in the whole model domain
     INTEGER(iwp) ::  trlp_count_sum                               !< parameter for particle exchange of PEs
     INTEGER(iwp) ::  trlp_count_recv_sum                          !< parameter for particle exchange of PEs
@@ -144,49 +146,40 @@
     INTEGER(iwp), DIMENSION(:,:,:), ALLOCATABLE ::  prt_count  !< 3d array of number of particles of every grid box
 
-    LOGICAL ::  all_or_nothing = .FALSE.                  !< flag for collision algorithm
-    LOGICAL ::  average_impact = .FALSE.                  !< flag for collision algortihm
-    LOGICAL ::  curvature_solution_effects = .FALSE.      !< namelist parameter (see documentation)                     
-    LOGICAL ::  deallocate_memory = .TRUE.                !< namelist parameter (see documentation)                  
+    LOGICAL ::  curvature_solution_effects = .FALSE.      !< namelist parameter (see documentation)
+    LOGICAL ::  deallocate_memory = .TRUE.                !< namelist parameter (see documentation)
     LOGICAL ::  hall_kernel = .FALSE.                     !< flag for collision kernel
-    LOGICAL ::  init_aerosol_probabilistic = .FALSE.      !< namelist parameter (see documentation)
     LOGICAL ::  merging = .FALSE.                         !< namelist parameter (see documentation)
-    LOGICAL ::  monodisperse_aerosols = .FALSE.           !< namelist parameter (see documentation)
     LOGICAL ::  particle_advection = .FALSE.              !< parameter to steer the advection of particles
-    LOGICAL ::  random_start_position = .FALSE.           !< namelist parameter (see documentation)                   
-    LOGICAL ::  read_particles_from_restartfile = .TRUE.  !< namelist parameter (see documentation)                   
+    LOGICAL ::  random_start_position = .FALSE.           !< namelist parameter (see documentation)
+    LOGICAL ::  read_particles_from_restartfile = .TRUE.  !< namelist parameter (see documentation)
     LOGICAL ::  seed_follows_topography = .FALSE.         !< namelist parameter (see documentation)
     LOGICAL ::  splitting = .FALSE.                       !< namelist parameter (see documentation)
     LOGICAL ::  use_kernel_tables = .FALSE.               !< parameter, which turns on the use of precalculated collision kernels
-    LOGICAL ::  use_sgs_for_particles = .FALSE.           !< namelist parameter (see documentation) 
+    LOGICAL ::  use_sgs_for_particles = .FALSE.           !< namelist parameter (see documentation)
     LOGICAL ::  wang_kernel = .FALSE.                     !< flag for collision kernel
     LOGICAL ::  write_particle_statistics = .FALSE.       !< namelist parameter (see documentation)
-                
+
     LOGICAL, DIMENSION(max_number_of_particle_groups) ::                       &
                 vertical_particle_advection = .TRUE.              !< Switch on/off vertical particle transport
 
+    REAL(wp) ::  aero_weight = 1.0_wp                      !< namelist parameter (see documentation)
     REAL(wp) ::  alloc_factor = 20.0_wp                    !< namelist parameter (see documentation)
     REAL(wp) ::  c_0 = 3.0_wp                              !< parameter for lagrangian timescale
     REAL(wp) ::  dt_min_part = 0.0002_wp                   !< minimum particle time step when SGS velocities are used (s)
     REAL(wp) ::  dt_prel = 9999999.9_wp                    !< namelist parameter (see documentation)
-    REAL(wp) ::  dt_write_particle_data = 9999999.9_wp     !< namelist parameter (see documentation)            
-    REAL(wp) ::  end_time_prel = 9999999.9_wp              !< namelist parameter (see documentation)         
+    REAL(wp) ::  dt_write_particle_data = 9999999.9_wp     !< namelist parameter (see documentation)
+    REAL(wp) ::  end_time_prel = 9999999.9_wp              !< namelist parameter (see documentation)
     REAL(wp) ::  initial_weighting_factor = 1.0_wp         !< namelist parameter (see documentation)
+    REAL(wp) ::  log_sigma(3) = 1.0_wp                     !< namelist parameter (see documentation)
     REAL(wp) ::  molecular_weight_of_solute = 0.05844_wp   !< mol. m. NaCl (kg mol-1)
     REAL(wp) ::  molecular_weight_of_water = 0.01801528_wp !< mol. m. H2O (kg mol-1)
-    REAL(wp) ::  n1 = 100.0_wp                             !< namelist parameter (see documentation)
-    REAL(wp) ::  n2 = 0.0_wp                               !< namelist parameter (see documentation)
-    REAL(wp) ::  n3 = 0.0_wp                               !< namelist parameter (see documentation)
+    REAL(wp) ::  na(3) = 0.0_wp                            !< namelist parameter (see documentation)
     REAL(wp) ::  number_concentration = -1.0_wp            !< namelist parameter (see documentation)
     REAL(wp) ::  particle_advection_start = 0.0_wp         !< namelist parameter (see documentation)
     REAL(wp) ::  radius_merge = 1.0E-7_wp                  !< namelist parameter (see documentation)
     REAL(wp) ::  radius_split = 40.0E-6_wp                 !< namelist parameter (see documentation)
-    REAL(wp) ::  rho_s = 2165.0_wp                         !< density of NaCl (kg m-3) 
-    REAL(wp) ::  rm1 = 0.05E-6_wp                          !< namelist parameter (see documentation)
-    REAL(wp) ::  rm2 = 0.05E-6_wp                          !< namelist parameter (see documentation)
-    REAL(wp) ::  rm3 = 0.05E-6_wp                          !< namelist parameter (see documentation)
-    REAL(wp) ::  s1 = 2.0_wp                               !< namelist parameter (see documentation)
-    REAL(wp) ::  s2 = 2.0_wp                               !< namelist parameter (see documentation) 
-    REAL(wp) ::  s3 = 2.0_wp                               !< namelist parameter (see documentation)
-    REAL(wp) ::  sgs_wf_part                               !< parameter for sgs 
+    REAL(wp) ::  rho_s = 2165.0_wp                         !< density of NaCl (kg m-3)
+    REAL(wp) ::  rm(3) = 1.0E-6_wp                         !< namelist parameter (see documentation)
+    REAL(wp) ::  sgs_wf_part                               !< parameter for sgs
     REAL(wp) ::  time_prel = 0.0_wp                        !< time for particle release
     REAL(wp) ::  time_write_particle_data = 0.0_wp         !< write particle data at current time on file
@@ -210,25 +203,26 @@
     REAL(wp), DIMENSION(:), ALLOCATABLE     ::  log_z_z0   !< Precalculate LOG(z/z0)
 
-    
+
     TYPE particle_type
+        REAL(wp)     ::  aux1          !< auxiliary multi-purpose feature
+        REAL(wp)     ::  aux2          !< auxiliary multi-purpose feature
         REAL(wp)     ::  radius        !< radius of particle
         REAL(wp)     ::  age           !< age of particle
-        REAL(wp)     ::  age_m         !< 
+        REAL(wp)     ::  age_m         !<
         REAL(wp)     ::  dt_sum        !<
-        REAL(wp)     ::  user          !< varible for user
-        REAL(wp)     ::  e_m           !< interpolated sgs tke      
+        REAL(wp)     ::  e_m           !< interpolated sgs tke
         REAL(wp)     ::  origin_x      !< origin x-position of particle (changed cyclic bc)
         REAL(wp)     ::  origin_y      !< origin y-position of particle (changed cyclic bc)
         REAL(wp)     ::  origin_z      !< origin z-position of particle (changed cyclic bc)
-        REAL(wp)     ::  rvar1         !< 
+        REAL(wp)     ::  rvar1         !<
         REAL(wp)     ::  rvar2         !<
-        REAL(wp)     ::  rvar3         !< 
+        REAL(wp)     ::  rvar3         !<
         REAL(wp)     ::  speed_x       !< speed of particle in x
         REAL(wp)     ::  speed_y       !< speed of particle in y
         REAL(wp)     ::  speed_z       !< speed of particle in z
-        REAL(wp)     ::  weight_factor !< weighting factor  
-        REAL(wp)     ::  x             !< x-position 
-        REAL(wp)     ::  y             !< y-position 
-        REAL(wp)     ::  z             !< z-position 
+        REAL(wp)     ::  weight_factor !< weighting factor
+        REAL(wp)     ::  x             !< x-position
+        REAL(wp)     ::  y             !< y-position
+        REAL(wp)     ::  z             !< z-position
         INTEGER(iwp) ::  class         !< radius class needed for collision
         INTEGER(iwp) ::  group         !< number of particle group
@@ -274,3 +268,2 @@
 
 END MODULE particle_attributes
-
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 2311)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 2312)
@@ -20,28 +20,31 @@
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Aerosol initialization improved.
+!
+! 2263 2017-06-08 14:59:01Z schwenkel
 ! Implemented splitting and merging algorithm
-! 
+!
 ! 2183 2017-03-17 14:29:15Z schwenkel
 !
 ! 2182 2017-03-17 14:27:40Z schwenkel
 ! Added parameters for simplified particle initialization.
-! 
+!
 ! 2000 2016-08-20 18:09:15Z knoop
 ! Forced header and separation lines into 80 columns
-! 
+!
 ! 1936 2016-06-13 13:37:44Z suehring
 ! +deallocate_memory, step_dealloc
-! 
+!
 ! 1871 2016-04-15 11:46:09Z hoffmann
 ! Initialization of aerosols added.
-! 
+!
 ! 1833 2016-04-07 14:23:03Z raasch
 ! reading of spectra_par moved to spectra_mod
-! 
+!
 ! 1831 2016-04-07 13:15:51Z hoffmann
 ! curvature_solution_effects added
@@ -50,5 +53,5 @@
 ! Reading of &radiation_par moved to radiation_model_mod.
 ! Reading of &canopy_par moved to plant_canopy_model_mod.
-! 
+!
 ! 822 2016-04-07 07:49:42Z hoffmann
 ! +collision_algorithm
@@ -57,5 +60,5 @@
 ! 1817 2016-04-06 15:44:20Z maronga
 ! Reading of &lsm_par moved to land_surface_model_mod.
-! 
+!
 ! 1788 2016-03-10 11:01:04Z maronga
 ! Parameter dewfall removed.
@@ -66,11 +69,11 @@
 ! 1757 2016-02-22 15:49:32Z maronga
 ! Added parameter unscheduled_radiation_calls
-! 
+!
 ! 1691 2015-10-26 16:17:44Z maronga
 ! Added skip_time_do_lsm, skip_time_do_radiation, and emissivity
-! 
+!
 ! 1682 2015-10-07 23:56:08Z knoop
-! Code annotations made doxygen readable 
-! 
+! Code annotations made doxygen readable
+!
 ! 1585 2015-04-30 07:05:52Z maronga
 ! Added several radiation_par parameters
@@ -81,20 +84,20 @@
 ! 1553 2015-03-03 17:33:54Z maronga
 ! Resorting of lsm_par
-! 
+!
 ! 1551 2015-03-03 14:18:16Z maronga
 ! Several changes in the liste for land surface model and radiation model
-! 
+!
 ! 1496 2014-12-02 17:25:50Z maronga
 ! Added support for the land surface model and radiation scheme
-! 
+!
 ! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   module plant_canopy_model_mod added,
-!   new package/namelist canopy_par added, i.e. the canopy model is no longer 
+!   new package/namelist canopy_par added, i.e. the canopy model is no longer
 !   steered over the inipar-namelist,
 !   drag_coefficient, leaf_surface_concentration and scalar_exchange_coefficient
 !   renamed to canopy_drag_coeff, leaf_surface_conc and leaf_scalar_exch_coeff.
 ! Changed statement tags in CONTINUE-statement
-! 
+!
 ! 1367 2014-04-23 15:18:30Z witha
 ! Bugfix: module kinds must be used
@@ -103,5 +106,5 @@
 ! +alloc_factor, + min_nr_particle
 ! -dt_sort_particles, -maximum_number_of_particles
-! 
+!
 ! 1340 2014-03-25 19:45:13Z kanani
 ! REAL constants defined as wp-kinds
@@ -138,9 +141,9 @@
 !> software packages which are used optionally in the run.
 !>
-!> @todo Perform all actions in the respective submodules and remove 
+!> @todo Perform all actions in the respective submodules and remove
 !>       package_parin
 !------------------------------------------------------------------------------!
  SUBROUTINE package_parin
- 
+
 
     USE control_parameters,                                                    &
@@ -165,11 +168,11 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  alloc_factor, bc_par_b, bc_par_lr, bc_par_ns, bc_par_t,         &
-               collision_algorithm, collision_kernel,                          &
+        ONLY:  aero_type, aero_weight, alloc_factor, bc_par_b, bc_par_lr,      &
+               bc_par_ns, bc_par_t, collision_kernel,                          &
                curvature_solution_effects, deallocate_memory, density_ratio,   &
                dissipation_classes, dt_min_part, dt_prel,                      &
                dt_write_particle_data, end_time_prel, initial_weighting_factor,&
-               init_aerosol_probabilistic, max_number_particles_per_gridbox,   & 
-               merging, min_nr_particle, monodisperse_aerosols, n1, n2, n3,    &
+               log_sigma, max_number_particles_per_gridbox,                    &
+               merging, min_nr_particle, na,                                   &
                number_concentration, number_of_particle_groups,                &
                number_particles_per_gridbox, particles_per_point,              &
@@ -177,10 +180,10 @@
                psb, psl, psn, psr, pss, pst, radius, radius_classes,           &
                radius_merge, radius_split, random_start_position,              &
-               read_particles_from_restartfile, rm1, rm2, rm3,                 &
-               seed_follows_topography, splitting, splitting_factor,           & 
+               read_particles_from_restartfile, rm,                            &
+               seed_follows_topography, splitting, splitting_factor,           &
                splitting_factor_max, splitting_function, splitting_mode,       &
-               step_dealloc, s1, s2, s3, use_sgs_for_particles,                &
+               step_dealloc, use_sgs_for_particles,                            &
                vertical_particle_advection, weight_factor_merge,               &
-               weight_factor_split, write_particle_statistics                
+               weight_factor_split, write_particle_statistics
 
     IMPLICIT NONE
@@ -206,6 +209,7 @@
                                   vc_size_y, vc_size_z
 
-    NAMELIST /particles_par/      alloc_factor, bc_par_b, bc_par_lr,           &
-                                  bc_par_ns, bc_par_t, collision_algorithm,    &
+    NAMELIST /particles_par/      aero_type, aero_weight, alloc_factor,        &
+                                  bc_par_b, bc_par_lr,                         &
+                                  bc_par_ns, bc_par_t,                         &
                                   collision_kernel, curvature_solution_effects,&
                                   deallocate_memory, density_ratio,            &
@@ -214,8 +218,8 @@
                                   dt_write_particle_data,                      &
                                   end_time_prel, initial_weighting_factor,     &
-                                  init_aerosol_probabilistic,                  &
+                                  log_sigma,                                   &
                                   max_number_particles_per_gridbox, merging,   &
-                                  min_nr_particle, monodisperse_aerosols,      &
-                                  n1, n2, n3, number_concentration,            &
+                                  min_nr_particle,                             &
+                                  na, number_concentration,                    &
                                   number_of_particle_groups,                   &
                                   number_particles_per_gridbox,                &
@@ -224,12 +228,11 @@
                                   particle_maximum_age, pdx, pdy, pdz, psb,    &
                                   psl, psn, psr, pss, pst, radius,             &
-                                  radius_classes, radius_merge, radius_split,  &   
+                                  radius_classes, radius_merge, radius_split,  &
                                   random_start_position,                       &
-                                  read_particles_from_restartfile,             &
-                                  rm1, rm2, rm3,                               &
+                                  read_particles_from_restartfile, rm,         &
                                   seed_follows_topography,                     &
                                   splitting, splitting_factor,                 &
                                   splitting_factor_max, splitting_function,    &
-                                  splitting_mode, step_dealloc, s1, s2, s3,    &
+                                  splitting_mode, step_dealloc,                &
                                   use_sgs_for_particles,                       &
                                   vertical_particle_advection,                 &
